/***************************************************************************
 *                                                                         *
 *  MAXIMUS-CBCS Source Code, Version 1.02                                 *
 *  Copyright 1989, 1990 by Scott J. Dudley.  All rights reserved.         *
 *                                                                         *
 *  Message-area header file                                               *
 *                                                                         *
 *  For complete details of the licensing restrictions, please refer to    *
 *  the licence agreement, which is published in its entirety in MAX.C     *
 *  and LICENCE.MAX.                                                       *
 *                                                                         *
 *  USE OF THIS FILE IS SUBJECT TO THE RESTRICTIONS CONTAINED IN THE       *
 *  MAXIMUS-CBCS LICENSING AGREEMENT.  IF YOU DO NOT FIND THE TEXT OF THIS *
 *  AGREEMENT IN ANY OF THE  AFOREMENTIONED FILES, OR IF YOU DO NOT HAVE   *
 *  THESE FILES, YOU SHOULD IMMEDIATELY CONTACT THE AUTHOR AT ONE OF THE   *
 *  ADDRESSES LISTED BELOW.  IN NO EVENT SHOULD YOU PROCEED TO USE THIS    *
 *  FILE WITHOUT HAVING ACCEPTED THE TERMS OF THE MAXIMUS-CBCS LICENSING   *
 *  AGREEMENT, OR SUCH OTHER AGREEMENT AS YOU ARE ABLE TO REACH WITH THE   *
 *  AUTHOR.                                                                *
 *                                                                         *
 *  You can contact the author at one of the address listed below:         *
 *                                                                         *
 *  Scott Dudley           FidoNet  1:249/106                              *
 *  777 Downing St.        IMEXnet  89:483/202                             *
 *  Kingston, Ont.         Internet f106.n249.z1.fidonet.org               *
 *  Canada - K7M 5N3       BBS      (613) 389-8315 - HST/14.4K, 24hrs      *
 *                                                                         *
 ***************************************************************************/

#ifdef INITIALIZE_MSG
#define extrn
#define IS(x) =x
#define LEN(x) x
#else
#define extrn extern
#define IS(x)
#define LEN(x)
#endif

#include <setjmp.h>

extrn char *screen[LEN(MAX_LINES+1)];
extrn int num_lines;

extrn struct _area area;    /* AREA.DAT entry for this area                */

extrn char echo_written_in[(MAX_AREAS/CHAR_BITS)+1];
                            /* A bit field for all possible areas (1296    *
                             * max.), which tells whether or not the user  *
                             * entered an echo message in that area...     */

extrn int num_msg,          /* Number of messages in this area */
          high_msg,         /* Highest message number in this area */
          barricade_priv,   /* Priv. for this level via barricade */
          fnames,           /* Number of filenames in filenames[]. */
          zoneto,           /* The zone this message is to */
          pointto,          /* The point this message is to */
          last_msg,         /* The last msg. we read in this area */
          msgeof,           /* If we're at the end of the current msg. */
          max_lines,        /* Virtual maximum number of msg. lines */
          *msgs,            /* Sorted array holding numbers of message in area */
          usrwidth,         /* Effective screen width for editors */
          item;             /* The current item we're on when entering
                                msg. to/from and attributes             */

extrn char areatag[LEN(30)],/* The short name (leaf directory) for this area */
           *filenames[LEN(MAXEXPAND)], /* Array of UL/DL filenames! */
           found_msg,
           entry,           /* If we just entered a message area */
           direction,       /* Direction in which to read msgs (next/prev) */
           menuinc,         /* If the help level is ready to be tipped up one */
           *msgbuf,         /* Current position in message-display buffer */
           *msgend,         /* End of message-display buffer */
           inc,             /* If we're going up/down in Get_Msg_Attr() */
           orig_msgid[LEN(50)], /* MSGID of message we're replying to. */
           netnode[LEN(26)];/* String version of destination addr. */

extrn char isareply;        /* If the current msg. is a reply to another */

extrn jmp_buf jumpto;       /* "Jump" location for MaxEd/BORED errors */

#undef extrn
#undef IS
#undef LEN

